=== debian/changelog ===
sra-sdk (3.0.9+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on python3-setuptools, used in the test suite.
    (Closes: #1099911)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 09 Mar 2025 10:33:36 -0400

sra-sdk (3.0.9+dfsg-7) unstable; urgency=medium

  * Upload to unstable to join Mbed TLS 3.x.  (See #1075868.)
  * debian/salsa-ci.yml: Comment out aptly setup, no longer needed.
  * Add changelog entries for 3.0.3+dfsg-7 through -9 to placate dgit.

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 17 Oct 2024 22:48:06 -0400

sra-sdk (3.0.9+dfsg-6) experimental; urgency=medium

  * Team upload
  * Adding missing #include <algorithm> to use std::transform

 -- Pierre Gruet <pgt@debian.org>  Tue, 20 Aug 2024 22:46:44 +0200

sra-sdk (3.0.9+dfsg-5) experimental; urgency=medium

  * Team upload
  * Building against HDF5/1.14.4.3

 -- Pierre Gruet <pgt@debian.org>  Tue, 20 Aug 2024 09:45:01 +0200

sra-sdk (3.0.9+dfsg-4) experimental; urgency=medium

  * Team upload
  * Removing unneeded markdown and discount from B-D

 -- Pierre Gruet <pgt@debian.org>  Fri, 12 Jul 2024 07:48:57 +0200

sra-sdk (3.0.9+dfsg-3) experimental; urgency=medium

  * debian/control: Build depend on libabsl-dev so binaries using libre2
    (sharq and relevant tests) can unconditionally link against
    -labsl_string_view for simplicitly.
  * debian/patches/support_libre2-11.patch (new): Prepare for (but don't
    require!) newer libre2 versions where re2::StringPiece has changed
    from a custom class to a typedef for absl::string_view, whose API is
    somewhat different.  (Closes: #1053411.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 05 May 2024 22:45:27 -0400

sra-sdk (3.0.9+dfsg-2) experimental; urgency=medium

  * debian/patches/fix_arm64_build.patch (new): Fix arm64 builds by
    tweaking BitMagic to treat __aarch64__ like __arm64__.

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 12 Apr 2024 19:32:51 -0400

sra-sdk (3.0.9+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * New upstream version

  [ Aaron M. Ucko ]
  * debian/control:
    - Tighten libncbi-vdb-dev requirement to (>= 3.0.9+dfsg~) per
      upstream expectations; this stack has to stay in experimental as
      long as mbed TLS 3 does, calling for explicit hints.
    - Drop explicit B-D on python3-distutils, currently redundant with
      dh-python (which depends on it via python3-setuptools) and found
      unnecessary regardless in Ubuntu.  (Closes: #1065961.)
  * debian/patches/label_online_tests.patch:
    - Correctly place test/internal/vdb-diff/CMakeLists.txt's change; its
      set_tests_properties call accidentally wound up ahead of the
      corresponding add_test calls.
    - Label 55 additional tests as needing network access.
  * debian/salsa-ci.yml: Try to ensure availability of experimental VDB,
    both by setting RELEASE to experimental and by reinstating aptly, now
    using job 5576517.
  * debian/sra-toolkit.links: Drop; its only entry has dangled since
    vdb-get retired (in upstream version 3.0.1).  (Closes: #1040391.)
  * Standards-Version: 4.7.0 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 12 Apr 2024 18:02:49 -0400

sra-sdk (3.0.3+dfsg-9) unstable; urgency=medium

  * Team upload
  * Building against HDF5/1.14.4.3 (Closes: #1078882)

 -- Pierre Gruet <pgt@debian.org>  Tue, 20 Aug 2024 09:40:26 +0200

sra-sdk (3.0.3+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Removing B-D on markdown or discount for building the doc
  * Building with python3-setuptools instead of removed python3-distutils

 -- Pierre Gruet <pgt@debian.org>  Thu, 11 Jul 2024 14:39:57 +0200

sra-sdk (3.0.3+dfsg-7) unstable; urgency=medium

  * debian/control: Build depend on libabsl-dev so binaries using libre2
    (sharq and relevant tests) can unconditionally link against
    -labsl_string_view for simplicitly.
  * debian/patches/support_libre2-11.patch (new): Prepare for (but don't
    require!) newer libre2 versions where re2::StringPiece has changed
    from a custom class to a typedef for absl::string_view, whose API is
    somewhat different.  (Closes: #1053411.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 05 May 2024 22:15:17 -0400
